=============================================================
                   CTerm 更新记录
=============================================================

◆CTerm 3.6.3    Build 2012-1-1
-------------------------------
·修正了 3.6.2 中的一些小问题。


◆CTerm 3.6.2    Build 2011-12-30    ★这个版本有重大改进
---------------------------------------------------------
★主工具栏上增加了“下载图片”按钮，启用时会寻找图片网址并自动下载、显示。

·修改图片显示框中的按键控制：上下左右光标为“上下翻页，左右退出”.

★图片文件保存在PicCache文件夹中，超过一定体积（可设置）时，提示是否删除。

★“清除签名档”功能从原有的“IP替换”中分离开来，在主工具栏上增加了“清
除签名档”按钮以供使用。

★在“BBS控制”工具栏上添加了“F6贴图”按钮（对水木社区和白云黄鹤有效）。
在版面文章列表状态、阅读文章状态和编辑状态都可以用鼠标点击该按钮，或按
F6键，以使用该功能（当然，前提是版面支持附件）。

★使用上述“F6贴图”功能时，如果剪贴板中有图片，则自动保存为JPG图片，文件
名复制到剪贴板中（可供上传时粘贴）。

★删除了一些原有参数，简化了菜单，大幅度修改了系统参数设置对话框。

·BBS控制工具栏上增加了“,预览”按钮，并把F3键给予了“同主题阅读”功能。

·改进了IP地址查找规则，大大减少把软件版本号误识别为IP地址。

◆CTerm 3.6.1	Build 2011-9-14
--------------------------------
·解决了3.6.0中防止发呆功能失效的问题

◆CTerm 3.6.0	Build 2011-9-13
★解决“IP替换”中的一个小问题，使得IP地理位置字符串较长时，能正确地自动
计算后面是否有空格，从而把后续字符后移。

★增加“清除签名档”的功能：点击工具栏上的“IP”按钮时，除了原有的“IP替换”
功能之外，还在当前屏幕文字中搜索网友的签名档，并替换为空白（使屏幕更清爽）。

·在地址簿对话框中，“启动时自动连接”由以前的单个站点改为可以设置多个站点
·点击纯IP地址时，打开IP查询网站http://ip.cn/ （谢谢soff的建议）
·添加菜单“查看 > 控制台”。用于调试python，重启打开
·“关于”对话框显示主程序完整路径
·系统设置中“自动”页中增加“信件提示声音”供用户自定义
·站点属性，“解码”页中增加“Del等于Stop”（UNIX下有用？）
·解决“点击显示桌面，任务栏图标会闪”的问题
·解决“在‘十大祝福’页面全为空白时，鼠标点击会出错”的问题
·按PGDN/PGUP对普通主机类型发送^F ^B，解决linux下翻页的问题
·改进SSH连接
·针对wine的一些改进
·改进对 ptt 主菜单的识别点击
·其它细节改进

◆CTerm 3.5.11	Build 2010-6-3
·解决了一些小Bug

◆CTerm 3.5.10	Build 2010-4-12

·添加了站点中的用户黑名单功能。
具体用法是：打开站点设置对话框中，在新增加的“黑名单”标签页下，勾选“自动
跳过不看这些作者”，并把自己不愿意看到的作者的名字写在下方文本框中（注意大
小写，空格键分隔，勿输入回车符，最大256字符），以后阅读文章内容时只要碰到这
些用户发表的文章时就会根据用户之前的阅读动作（向上或向下）自动发送“l”或
“n”键而跳过（屏幕上一闪而过）。

·改进批量看图功能，增加后台看图脚本（autoit编写）
到某版按^g 7回车，a回车
点击菜单“工具 > 运行脚本”，选script\openmanypic.py
会打开一个窗口backbrow.exe，它会运行一个不可见的ie(ie7以上，支持tab的）
脚本开的图都会在这个ie里打开，在脚本运行的过程中可以做别的
等它运行完，到backbrow点 ShowIt 就可以慢慢看图了

·增加openlink.py，Web打开本贴

·去掉自动调整子窗口大小功能
·行数限制放宽到80
·修正http上传框的弹出
·无法记录消息
·SSH自动登录的过滤器问题

◆CTerm 3.5.7	2010-03-19 23:44
1 改正点击带bbs字样的网址如teabbs.zjol.com.cn时，把它当作telnet站点的问题。只把bbs.xxx.xxx.xxx当telnet站点
2 改正不识别^g和H选择界面为ENTER的问题。识别为ENTER，就可以点鼠标发送回车选默认选项
 

◆CTerm 3.5.6	2010-03-16 09:25
·避免保存历史屏频繁写硬盘（主要是减少编辑和光标移动时的存盘次数）
·支持big5-hkscs，使用libiconv，需要iconv.dll
·彻底去掉多用户支持，将cterm2.ini中保存的信息移到cterm.ini。原来的相关设置
  （如最爱站点，最后连接站点等）可以直接从cterm2.ini复制到cterm.ini。

◆CTerm 3.5.4	Feb 23 21:49:05 2010
·新增了几个功能：主要是历史屏幕（滚动条），屏幕录像（ASCII工具栏），编辑框插入控制码
问题可能还比较多。。。


◆CTerm V3.5.2 build 2010-01-18
+ 增加新功能：使用文章编辑框发表文章时，勾选“自动保存”选项，则所发文章保存
　在 user\mypost.txt 中。点击菜单“工具 > 查看发文记录”可以查看。
* 调整并美化对话框：系统参数设置和站点属性设置中调整和改变了一些参数的位置。
* 地址簿中删除搜索框并移动一些按钮，检查了所有站点是否可用，删除无法连接的站点
* 由于 Google Group 被禁止使用，原有的“CTerm论坛”无法使用，修改了联系方式。
* 上传图片脚本在自定义按钮工具栏上的名称改为“上图1”、“上图2”、“回图”和“上图3”
* 解决了其它一些Bug

◆3.3.52(含3.3.40-3.3.49) build 2009-2-17
* 改进对Unix/Linux主机、SSH连接的支持：
* 系统菜单添加：关于，隐藏/显示菜单栏，隐藏菜单时，按alt-f, alt-e等键显示菜单
* 解决了其它一些Bug

◆3.3.39(含3.3.24-3.3.39) build 2009-1-8
+ 增加“显示/隐藏菜单栏”功能（快捷键Alt+M）
+ 增加了UTF8编码的支持（用于LINUX主机）
+ 初步支持多显示器，解决在辅助显示器显示不全，全屏、图片放大出现的问题
+ 不用鼠标时可选取文本，同样由URLNoMouse控制
+ 地址簿对话框增加搜索功能、搜索框
+ 临时切换为“老板配色”（菜单“查看 > 老板配色”）
+ 下载文章框增加搜索功能：Ctrl+F显示搜索框，回车搜索（搜索框自动隐藏）
+ 增加其它参数设置：自定义工具栏高度（单个按钮高度为单位）、字体高宽比和清晰度
+ 脚本openmanypic.py，用浏览器连续打开多篇文章的全文链接
（用法：^g, 7, a 显示所有带附件文章，光标移到第1篇未读，执行脚本，默认打开80篇）
* 状态栏panel宽度调整：改为用中文空格占位，解决在不同系统下宽度不同的问题
* 改进下载框搜索、全屏显示、老板键、自定义按钮
* 改进精华下载（不能下载带附件的文章）
* 文件对话框全部用新式的
* 其它细节改进

◆3.3.23(含3.3.13-3.3.22) build 2008-11-05 
* 增加了参数IMEChar=0/1, 是否处理输入法消息，按回车后将输入的编码上屏。
* 图片tip总是显示extinfo, 即帖子标题
* 所有运行时产生的临时文件都移到temp目录下
* tools.py增加OpenFile() 该函数在有python的情况用python线程打开
* 改进文章下载,下载文章(特别是ssh模式)有重复问题,以及未读标志不对的问题
* 改进精华区下载: 停住, 遗漏, 重复, crash等问题
* cterm.ini参数: DownTimeout=100, 下载文章的超时值(单位: 毫秒)
* 图片框增加I按钮, 下载失败的图片点I(或按R,I键)重新下载
* 图片增加了几个按键：R,I: info/redown，X:close，D:delete，C:url拷贝
* 自动贴图脚本uppic1.py好用了, 改用waitforstr()，截图保存格式改为png
* 增加脚本 repic.py：读其它文章时, 点该按钮, re文并上传剪切板图片
* 增加脚本 uppic2.py：发文时按ESC-Z上传剪切板图片
* 增加脚本 uppic.py：发文时按u出现地址之后, 点该按钮上传剪切板图片
* 增加脚本 uppic1.py：文章列表时点该按钮, 自动发文并上传剪切板图片, 完了可以改标题
** 文章状态的鼠标的在左侧的动作: 在状态行: END, 跳到文章尾
　在左侧, 下方1/3范围内: LEFT, 跳到文章尾
　在左侧, 上方2/3范围内: LEFT,LEFT, 返回文章列表
* 按u上传时的http上传框
* 支持水云间十大热门话题点击
* 增加参数 AutoFromIP=0/1，全自动替换IP时只替换“FROM”后面的IP。
* 地址本增加北邮人论坛

◆3.3.17(含3.3.12-3.3.13) build 2008-05-15
+ 允许用户制作定制版本(详见“定制版本说明.txt”或网站中的相关说明）
+ 自定义logo图片: 用户只要把图片存为 user\mylogo.bmp，则显示为启动图片(自动缩小)
* 改进文章下载，下载文章(特别是ssh模式)有重复问题,以及未读标志不对的问题
* 改进精华区下载: 停住, 遗漏, 重复, crash等问题
* 改进图片下载和查看
* 解决了其它一些Bug

◆CTerm 3.3.1 (内部版本号3.3.1.300 build 2008-04-09)
+ 从v3.300起，加入ssh支持，通过putty的plink.exe实现，版权声明见 putty_plink_licence
* 解决lqqm提示“您初次访问本版, 是否首先察看精华区? (选A不再做此提示)(Y/N/A) [Y]:”的问题
　（选中python状态识别时有效）
* tools.py增加了两个函数
　WaitForStr, 等待屏幕指定行出现指定的串；
　GotoBoardString, 返回一个串，用于跳到指定版；但不发送；因为(怀疑)多次发送会引起屏幕状态多次改变
* 解决了在上海交大饮水思源站的十大热门话题鼠标点击定位问题。
* 字符输入输出可以选择字符编码，CTerm.ini变量：gbCharSet = 134;big5CharSet = 136;
+ 单独启用ClearType：FontQuality=0-6, 字体质量，默认ClearType
* CTerm官方网站更换服务器，新网址为cterm.phy.ccnu.edu.cn
* 最爱站点个数增大到10个
* 地址本增加几个站：辽宁大学-天辽地大，新一塌糊涂
* 版本号改为整数，各位数字可超过10向上升　末位表示build，如：3.3.1.300
* 解决更新时直接连到update.htm的问题

◆CTerm 3.29 Final (内部版本号3.299 build 2008-02-27)
* 看图功能改进
* 解决编辑框日文输入问题
* python脚本实一键图片上传功能：自动获取剪切板图像，上传到newsmth，无需打开浏览器
　设置及操作详见“user\mycmds.txt”
* 编辑框修改为在非编辑状态(或编辑状态未识别出)也可用（含提示）

* 改进Big5<->GB，支持GBK，弃用codech.lst
* 通过ctd文件实现屏幕录像功能：记录按键，回放时按任意键
　记录：bbs->拷贝tcp包
　回放：文件->查看终端文件
* 改进IP查询与替换
* CTerm.ini增加了4个字体全局参数，如果站点siteinfo.ini未设置，则用全局设置
　Font=全局字体，若siteinfo.ini中未设置字体，则用Font
　若全局Font为空，则用地址本中的，若地址本中也为空，则用宋体
　MONOSPACE=0/1: 是否等宽，全局，需要和字体一同设置
　FixFont=0/1: 是否固定字号
　FixFontSize=16, 固定字号大小
* jc_link.vbs 下载工具支持wget
* CTerm.ini 增加3个变量，解决下载(拷贝)文章排版的问题
　CopyNoReturn=1/0, 下载文章，对于满行(行末非空格)不自动换行，要想原样拷贝，设为0；要想避免排版的麻烦，设为1
　WrapLen=文章排版每行长度，默认=0 -> TermWidth
　CopyRectNoReturn=0/1, 矩形拷贝, 满行(行末非空格)不自动换
* 取消了地址本255的限制（未全面测试，也许会引起其它问题）
推荐导入pengtu的全球华语BBS地址簿（http://pengtu.net/bbs.zh/bbs.zh.htm）更多更全站点


◆CTerm 3.27 Final (内部版本号3.272 build 2007-11-12)

---- 主要改进　----
+ 支持菜单、对话框等界面元素的多种语言
　语言文件：language\Multi_eng.ini　(还不完善：状态栏，下拉列表，消息框等未翻译）

* 升级时不再覆盖用户原有的 user\下的文件（自带文件为xxx.xxx.example）

+ 用脚本实现调试版的设置：第1次运行时会弹出一个对话框，
　请用户选择是否愿意帮助改进程序
  选择“是”，可以把Dr Watson设为调试工具，
　以后出现程序崩溃现象时可将调试信息发给作者（详见“调试方法.txt”）
  如果需要使用其它调试工具或不想打开Dr. Watson，请选择否
  注：不会对程序运行有任何影响，只会在程序崩溃记录相关出错信息

* 为了减少程序出错，连接时按ESC或点“取消”，不直接关闭窗口，
  要关闭窗口，可按任意键（ESC除外），或点关闭按钮或菜单

* 改进判断末屏重复行，加文章阅读标志的算法。以消除全文拷贝时的漏行、多行现象。

+ 在选项中可以选择下载工具：选项 > Web 与 URL，下载工具
　0、1、2分别是迅雷，快车和影音传送带，也可以修改jc_link.vbs脚本换成其它的

+ 支持历史屏幕查看：快捷键Shift+PageUp，Shift+PageDown
　相关站点参数：user\addrinfo.ini: maxhistline=最大历史行数
　不设置时, 对BBS默认为屏幕行数（不保存历史屏幕）, 对telnet站点为65535
　目前对BBS支持不好，历史屏幕显示不连续
　对普通telnet站点(*nix主机)支持较好

* 改进了状态识别算法。可以更快速地正确识别绝大部分“Enter”状态（即按回车键
  继续的状态，包括“按Enter键继续”、^g选读、H或TAB选择、Y/N选择、发贴前输入
  标题和发完后确认），在这些状态下都可以用鼠标点击屏幕上的功能键。
+ 增加了对SMTH BBS系统的“衷心祝福”（直接跳到Bless版同主题首篇）、“近期热
  点”和“系统热点”（识别一行文字中的版面名称并跳转到该版）
* 修正了对YTHT BBS系统的“H十大”按钮功能（原来，它应该是用TAB键）
* 修正了对翰海星云的“文章推荐榜”和“公告栏”点击。

* 更新了IP地址数据库文件CoralWry.dat

+ 增加扩展地址本信息usr\addrinfo.ini，利用它实现针对站点的一些功能：
  包括主要包括字体，显示比例，行列数和IPv6（详见站点属性设置和下文对addrinfo.ini的说明）
+ 支持IPv6站点：
　快速连接，选中IPv6；
　地址本中的站点：站点属性，连接
  测试站点：bbs6.happynet.org

---- ANSI码显示 ----
* 改进对[1024;1H *[1025;1H的处理，以前的处理会导致一个不很显著的显示问题
* 改进某些显示延迟现象（但也可能会导致部分带跳转的动画显示不正确，未详细测试）
* 去掉ANSI绘图指令*[g支持
  去掉循环动画支持*[7xm。（如白云黄鹤asciiart版clayman的某些帖子）
　原因在于这些CTerm专门的ansi码KBS/smth均不支持
  理论上可以显著的减小内存占用，并一定程度上提高显示速度
  如果需要显示循环动画和绘图命令，可提供扩展版
* 改进对 .ctd 文件的显示和延时播放
* 改进*[L的处理
* 改进*[B的处理
* 闪烁时的颜色显示(原来与其它颜色不一致)
* 改进延时动画(*[M)的显示，避免显示延时动画时界面死掉的问题
　在newsmth正常(示例：newsmth asciiart版“格式化硬盘”)
　在fb上显示完 bbs停止响应 原因不明

细节变化和修正：

图片：
+ 图片对话框显示文件名
* 图片保存文件名问题：水木的图片文件名保存为URL里的，而不是实际的
* 图片全屏显示，按ESC关闭，图片再显示时跑到左上角，位置固定
* “Ctrl立即看图”与“允许看图”的关系：后者勾掉时，前者变灰
  BTW: 说明一下Ctrl看图(CtrlViewPic)，允许看图(ShowPic)及看图悬停时间(PicHoverTime)三者之间的关系
  ShowPic=0，则无论怎么也不能看图
  ShowPic=1时，
	CtrlViewPic=1，按ctrl可立即看图
	PicHoverTime>0时，可悬停看图
	PicHoverTime<=0时，不可悬停看图(该值的修改未放在界面上)
* 图片框右键菜单位置
* 图片上点右键图片消失的问题

登录：
* 支持窗口大小选项协商(Negotiate About Window Size, NAWS)时，某些时候不能自动登录
* 自动登录时密码或用户名错误，不再自动登录：增加过滤器 错误->%E
+ 强制非自动登录：地址本按shift+enter；无子窗口时按shift+enter；按住shift点重新连接命令
* 过滤器允许响应串为空，而只起到break作用，防止执行其它过滤器
　一个用途：登录linux主机：
　login: 输入用户名　...　Last Login: ...需要跳过
* lqqm站点(或许其它YTHT类型站点也存在)超过24行时多次输入用户名的问题
  CTerm.ini变量repeatusername=1/0：是否允许多次输入用户名，默认为 1
  如lqqm设为27行不能自动登录，设为repeatusername=0即可
+ CTerm.ini变量AutoLast=1/0: 是否自动打开上次站点，当是地址本中启动站点为空时有效

telnet:
* telnet主机无法退格的问题
* telnet主机显示“连接中”和“重连”等链接不正常的问题
* 针对普通telnet站点(*nix主机)设置自动登录的过滤器：
　新建telnet站点，或过滤器对话框点默认，过滤器设置为
　incorrect - %e, Last Login - 空, login: - %U\n,
　Password: - %c\n, # - %E, $ - %E
* 命令行，快速连接，拖动打开，URL对话框打开，地址栏打开时，telnet://打头的地址识别为telnet主机类型

编辑：
* 编辑时点哪里都弹出地址框的问题
* 自动保存编辑框内容无法保存的问题
  (以防断线输入内容丢失，退出时自动保存编辑窗口文字到edit_bak.txt，相关参数：AutoSaveEdit)
* 编辑文章快速光标移动键，Ctrl+右箭头 跳行不正确的问题: 改为跳到行尾
* 解决日文输入法的问题

地址本：
* 在AddrFullName=0的情况下，长站名的最爱站点无法连接
* 地址本粘贴总是提示“已存在”问题
* 地址本详细设置以后焦点不变
+ 地址本：当地址为空时，新增空白站点，类型为当前选定类型
* 地址本修改后覆盖，刷新显示
+ 任何时候按回车都连接
+ 地址本按上下键循环，即在最上面按向上箭头键到最下面，反之亦然
* 地址本：增加了几个站（南开电信和网通，两个示例站点，两个happynet），前面几个重设了过滤器
* 识别地址中的端口: 地址本，站点连接设置，URL对话框，拖动打开，地址栏打开

显示：
* 改进文字选取与选区滚动问题：用上下箭头键滚动文章时，选区随着一起滚动
* 增加一个选项：CTerm.ini: SelectStay=1: 窗口内容变化时不变,0: 窗口内容变化，则取消
* 列表状态移动光标时选单闪烁的问题
* 文章末尾鼠标指向“主题阅读”时闪烁的问题
* 列表第2行选单不清除的问题
* 点左键光标不变，选取文字才变成I，选取结束恢复
* 切换到别的窗口，鼠标挪动之后，再切回来鼠标选单不变的问题
+ 保存固定字体大小
* 配色方案对话框：切换窗口或对话框被挡住时颜色不能重绘
* 澄清自定义配色方案的定义，自定义方案的绘制
  打开对话框时，自定义方案就是当前站点的配色方案
  修改某个颜色后，自定义方案改为修改后的配色方案

菜单：
* 最爱站点显示于顶级菜单及时更新，改正某些时候菜单顺序不正确的问题
* 当最爱站点显示在项层菜单时，显示不正常：
  打开一个站，然后关闭，主菜单前面的几个伪菜单项就变成了竖线
* tray menu恢复不起作用的问题
* 自定义按钮/菜单的bug
* 帮助菜单里增加了论坛，删除了“帮助推广”和“给作者写信”
* 最爱菜单置于顶级菜单时，
  在有子窗口的情况下改变最爱站点
  关闭所有窗口后, 不会反映在主菜单上

界面：
+ 状态栏增加了两栏：term信息，鼠标位置
* 状态栏：tooltip显示其文字，避免因宽度显示不全
* 鼠标指向链接(CTerm内部url，如“连接中”和“重连”)时，状态栏显示目标
* 子窗口标题无法显示问题
* 单实例时打开第2个实例和消息弹出时切换到主窗口，光标跑到标题栏的问题
* 热键切换过来窗口无焦点的问题
* 状态栏的菜单说明(如编辑菜单中的命令)不显示
* F5发文框的附件说明文字
* 调整窗口管理条的宽度，避免宽屏显示不全


其它功能与选项：
+ "切换矩形选择"快捷键：Ctrl+Shift+R
* 改进了用户自定义命令的快捷键问题
* 选项对话框中，自动显IP选项不起作用
+ 增加了ini变量CtrlVPaste=1/0: 是否允许^V粘贴，对非SMTH类型的站支持^V功能的，
　需要将该参数设为0
+ IsAutoReply=1/0, 离开或其它设置了回复串的状态, 是否自动回复；设为0则禁止自动回复
* 不能打开消息记录的问题
* 多篇下载的HTML文件颜色、字体与站点设置一致，取消原来的htmlcolor.txt
* DownloadWithHTML默认为0, 即单篇下载文章时不再自动转为HTML; 如果需要转为HTML, 将它设为1
+ CTerm.ini: AutoURLHeader=1/0: 是否自动加协议头
　1：URL复制，拖动搜索，地址栏搜索和url对话框，根据情况加协议头
　0：不自动加
+ 是否显示搜索框：选项，Web与URL；原来的变量WebURL改为SearchBox=1/0
* 手工查询IP地址：检查IP
* 动态改变站点参数（如配色）alt-r重连未变
* URL框下载工具按钮不起作用

其它：
* 去掉导出符号
* 菜单内存泄漏
* 看图内存泄漏
* 回车重连时内存泄漏
* 主窗口强制退出时出错(显示状态栏tip时)
* 收发消息时弹出消息框，程序退出时可能出错
* 快贴时标题过长出错
* 自动更新线程出问题
* 主窗口强制退出时出错(显示状态栏tip时)
* 显示某些不规范的绘图指令时Crash的问题(本版本绘图指令已去掉)


---- 脚本 ----
* python加入库路径Lib，加入库ctypes，用于实现第1次运行弹出询问对话框（感谢牡蛎的指点！）
* 把要在cTerm启动的脚本(.py)写入onstart.lst，也可以在onstart.py里写其它要执行的代码
* python: 已安装python且版本不一致时出错
* OnKeyDown可返回值：按键已经由该函数处理，不需要cterm处理，return (1,)
  否则返回(0,)

---- 扩展地址本信息usr\addrinfo.ini 具体说明 ----
;小节名为站名(与地址本中的站名一致)
;支持的变量（除httpupload外，均已放在站点设置界面上，无需手动修改）：
;IsIPv6=1/0，是否IPv6站点
;httpupload=1/0，站点是否支持http附件上传

;Font=中文字体名，未设置则用原地址本结构中的；这里的字体名可以超过19个字符
;EFont=英文字体名，未设置则用CTerm.ini中的EFont，两者都没有则用中文字体

下面的变量若未设置用CTerm.ini中的全局设置
;CharHWRatio=字体高宽比，0: 不固定，随窗口大小自动调整，默认为2
;TermWidth=显示宽度(每行字符数)，40-256，默认80
;TermHeight=显示高度(行数)，12-48，默认24

下面两个参数从全局变为针对站点
;monospace=1/0，字体Font是否等宽字体，对非等宽字体该变量设为0，否则显示不正确
;FixFont=1/0: 是否固定字体，
;FixFontSize=固定字体尺寸


◆CTerm V3.26 Final (内部版本号V3.268 build 2007-5-26)
*解决延时动画显示不正常的问题

◆CTerm V3.26 RC3 (内部版本号V3.267 build 2007-5-25)
*定制快捷键不能使用的问题
*非等宽字体闪烁不正常的问题
*下载工具不能使用的问题
*地址本站点改名有时不能及时刷新
*MenuFavTop=1, 且最爱站点个数为0时，自定义菜单跑帮助后面去了
*改进英文字体的设置，有时不能正确显示
+老板键隐藏之后，设一个自动回复消息，免得弹出漏馅
+重新载入参数快捷键：Alt+S
+插入点(光标)：
 BlinkTimeOut: 光标及闪烁字符闪烁的时间间隔，默认300(ms)
 CARET_H: 光标高度，正数时以像素为单位，0=不显示,-10＝字元高度，-9＝字元高度
　　*9/10，... 默认2(像素)
 CARET_W: 光标宽度，取值含义如上，默认-5(半角字符宽度)；高宽均以汉字大小为
　　准，包括字间距
 CaretEditOnly: 只在编辑时显示光标
 CaretCenter: 光标是否垂直居中
 如：
 CARET_H=2, CARET_W=-5, CaretCenter=0, 默认，原来的设置
 CARET_H=-10, CARET_W=1, CaretCenter=1, 光标是一条竖线
 CARET_H=1, CARET_W=-5, CaretCenter=0, 光标是一条下划线
 CARET_H=-6, CARET_W=-5, CaretCenter=1, 光标是一个方块

◆CTerm V3.26 RC2 (内部版本号V3.266 build 2007-5-21)
* cterm.ini->[setup]->MONOSPACE: 是否使用等宽字体, 默认为1；若使用非等宽字体，
　该参数设为0；等宽字体启用该参数可能显示效果不好
* cterm.ini->[setup]->EFont: 英文字体名(可选任意英文字体)，为空或不存在则同
　中文字体；该参数仅当MONOSPACE为0时有效
* 字体名超过19时不断提示的问题
* 简体可用MingLiU字体
* CharHWRatio默认为2
* 点击或从搜索栏打开URL的问题：多个http://
* 文件菜单“退出”丢失的问题
+ 保存“矩形选择”选项
+ 查看菜单->粗体显示
 ini参数：
 BoldFont：是否粗体显示，默认为0
 FontWeight：粗体时的weight，范围0-900，400是正常，700是粗体

◆CTerm V3.26 RC1 (内部版本号V3.265 build 2007-5-20)
+支持非等宽字体(逐字符显示)
 调整非等宽字体对齐位置：cterm.ini->[setup]->TA_CENTER=1，居中
 在字间距较大时，可改进窄字符显示偏左的现象，但可能会导致显示不完全
+python 增加SetAutoReply(s=None) //设置自动回复的消息串
 s=None时取消自动回复
 在mycmds.txt中增加一条命令如：
 58;	;		回复;	true;	py:SetAutoReply("我现在很忙！")
 就可以设置自动回复而不离开
+可调整字间距(不一定为2:1)，cterm.ini->[setup]->CharHWRatio
 CharScale：字宽缩放比例，影响字间距
 CharScale为整数，范围1-10
 10为不缩放，9为缩小1/10，...，依次类推
+可自定义字体高宽比(不一定为2:1)，cterm.ini->[setup]->CharHWRatio
 CharHWRatio：字体高宽比(子窗口尺寸会自动调整，“尽量满屏”选项有效)
 CharHWRatio=0：不锁定高宽比，随窗口尺寸自动调整
 一般BBS默认高宽比为2
+HTML下载自定义配色：user\htmlcolor.txt
+保存系统参数命令和自动保存参数选项
*查看ctd文件crash的问题
*收到消息时出错的问题
*python SendCommand等函数出错
*解决自定义菜单显示不正常的问题
*文件菜单中的快捷站点的实时添加及分隔线问题
*无法保存工具栏状态问题
*显示图形标记(*[g...)时crash的问题
*F8快贴的一个bug，可能导致crash

CTerm V3.263 build 2007-3-4
+ 下载图片功能：支持重定向
* 兼容smth系统的查看十大热门话题的新功能：鼠标点击十大时调用系统的查看功能，
　可以查看该帖的同主题列表
* 关闭了文章阅读标志时下载文章出错
* 修改jc_link.vbs以支持迅雷5，感谢onemoretouch
* 图片下载bug: 404响应导致死循环
*“忘掉”最后登录站点：选项中勾掉“记忆最后登录站点
* 地址本排序功能有错误
* 登录UNIX主机时DELETE键用不了
* 设置cterm为只能有一个运行时，用老板键隐藏后再次运行时工具栏消失
* VT100的F1到F12键
* 长字体名导致乱码，限制不能使用字体名超过20的字体
* 图片未下载成功，不能最大化，打开，保存
* python初始化失败的问题

祝猪年元宵节快乐！

◆CTerm V3.26 测试版 （内部版本号V3.262 build 2006-8-31)
*改变行列数崩溃问题
*有时因过滤器不能自动登录问题
*查看状态栏脚本信息改为双击
*解决快贴长文章时不能发表和弹出编辑框的问题
*排版的选项页面在不使用自动排版时，中间的选项变灰
*文章列表批量下载时非法操作问题
*地址本，执行top时非法操作
*如果全屏时关闭全屏工具栏,下次不再显示
 如果要再次显示，修改cterm.ini->[setup]->FullScreenBar，并重新载入参数或重启Cterm
*避免执行zmodem命令时死掉的现象
*python版本升级为python2.5c1
+Python: GetPicture(url) //调用内部图片浏览器下载显示图片
+增加自定义菜单
+自定义菜单和按钮加上定制/更新
+http代理支持
+全屏时浮动工具条(隐藏需小心)
+重复输入：搜索框输入"13 k"或"5 k"，
 数字最大两位
 字符串支持转义符
+恢复透明功能：Ctrl+小键盘加号/减号
+自定义命令mycmds.txt: 编辑ini
 cterm.ini->[setup]->Transparent=1/0: 允许/禁止透明功能（需重启Cterm）
+cterm.ini->[setup]->ClickUser=1/0: 是否点击查看用户信息
+cterm.ini->[setup]->ShowUserMenu=1/0: 是否显示用户自定义菜单
+cterm.ini->[setup]->ViewDrag=1/0: ViewDrag是否允许拖动搜索
+cterm.ini->[setup]->CursorPos=1/0: 是否在状态栏显示鼠标指针所指行列数
+cterm.ini->[setup]->FixFont=0/1: 是否随窗口自动缩放字体
 cterm.ini->[setup]->FixFontSize=16: 固定字号
+cterm.ini->[setup]->AddrFullName=1/0: 地址本是否显示全名（单位＋站名，or 站名）
+cterm.ini->[Setup]->HttpUploadDlg=1/0: 是否允许弹出http上传附件的对话框
+cterm.ini->[setup]->AskDlg=-1/0/1/2/3:
 在连续下载时是否出现"这是在文章末尾，强行返回"之类的框框
 -1: 显示提问， 其它: 不提问

◆CTerm V3.26 测试版 （内部版本号V3.261 build 2006-8-6)
+ 可以自动分析页面，找出IP地址，并直接替换为实际地理位置：点击标准工具栏
  上的“IP”按钮开启或关闭此功能。（注意：此功能有可能会把一些非IP地址的
  成串数字误识别为IP地址，请自行判断）
+ 改进支持KBS/SMTH的上传附件功能：在按F5键发文时，对话框中有“上传附件”
  选项，选中后将会自动提取页面上提供的附件上传网址并在对话框中显示。
+ 改进了老板键的设置，可以设置为任意组合键
+ 发行版本中自带珊瑚虫精简版IP数据库。用户可以自行到网上查找更新IP数据库：
  工具->系统选项->URL与图片
* 修改了BBS控制工具栏上的“同主题”按钮以适应KBS系统
- 隐藏了标准工具栏上的Web搜索框

◆CTerm V3.26 测试版 （内部版本号 CTerm V3.260 build 2005-12-13)
+ IP自动替换功能
（此版本未公开发布）

◆CTerm V3.25 正式版 修正版（内部版本号 V3.259 build 2005-11-30）
√修正了一些前一版本的一些小Bug：
- 多次启动时总在最前；
- 水木的十大热门话题文章处于 love 或 joke 版时，点击会跳到 loveManage 或 jokeParty 版；
- 双击站点标签时不能快速离站，快速切换时可能误关闭；
- 关闭再重新显示“BBS控制”工具栏时图标丢失；
- “科苑星空”连接时不显示首页；

◆CTerm V3.25 正式版 （内部版本号 V3.259 build 2005-11-22）

相对于V3.24的主要新增功能概述（详细描述参见各个测试版的更新说明）：
－删除了启动网页
＋最爱站点添加于顶级菜单（该选项于 系统选项 > 显示 中设置）
＋主工具栏中增加Web搜索框，可用于连接Web站点，或拖放搜索。
＋在BBS站内选中文字，拖动即可进行Web搜索
＋鼠标可以点击阅读"十大热门话题"(或类似页面)，在工具栏上增加了"H十大"按钮，
  鼠标可以识别点击 ^g 或 H 键之后的底行信息。
＋站点属性的“解码”页中的“显示输出”中添加了“Big5”项，对于台湾BBS站点，
  当设为“Big5”时，会自动调用Mingliu字体显示繁体字。

相对于V3.259 预发行版的改进：
√改进了对以下站点的鼠标点击“十大”功能：
  KBS/SMTH 类型站点：白山黑水、天大求实、北京大学数学学院公共论坛
  FireBird 类型站点：北大未名、燕赵BBS、华南木棉
√改进了下载图片的显示和操作。
＋编辑框大小可调
＋主工具栏上增加“查看已下载图片”按钮


◆更老的版本

CTerm V3.259 预发行版 build 2005-11-18

这是V3.25最后一个测试版本，正式版本即将在下周推出。

√重要改进：针对国内多个BBS站点改进了鼠标点击阅读"十大热门话题"(或类似页面)
  功能，并在工具栏上增加了"H十大"按钮，增强鼠标对BBS在按了 ^g 或 H 键之后的
  底行信息的识别点击功能。
·已测试正常可用的站点有：
  KBS/SMTH 类型站点：水木社区，水木清华，人间仙境，天地人大，白山黑水，梅陇
  客站，大话西游，如来神掌，亦狐BBS，同舟共济，武大珞珈山水，未名空间，科苑
  星空（包括"十大学术话题"），云麓园，蓝色星空，未来花园
  YTHT 类型站点：两全其美，一见如故，天天坛，多派，五色土，兵马俑
  FireBird 类型站点：白云黄鹤、饮水思源、我爱南开站、生命玄机、集美学村、一
  网深情、曙光站、郁金香、岱北聆泉、紫丁香，日月光华、东篱采菊、幽幽黄桷兰、
  鼓浪听涛、天大求实、同舟共济站、碧海青天站、小天鹅 BBS站、虎踞龙蟠、海纳
  百川站、放鹤亭、瀚海星云（推荐文章和布告栏）。
  LILY 类型站点：南大小百合，小百合海外站
·以下站点不接受 Guest登陆，无法测试此功能：燕赵BBS、荔园晨风、华南木棉、逸
  仙时空、紫金飞鸿、翠亨茶寮。（请这些站点的网友不要向我们提出此功能的要求）
·另外，北大未名站的相应页面格式与所有其它站点都不相同，不能识别和点击。

注意事项：
1、关闭 系统选项 > 常规页 中的"Python 状态识别"
2、在登录时点击十大，在某些站点上可能会造成断线，请凭经验掌握（在登陆时不要
  点击，而是在讨论区中按 H 键或点击"H十大"按钮后再查看）。
3、穿梭后可能无法点击，改变行列数后可能无法点击。

Q：为什么有些站点的"十大热门话题"无法点击？或者点击后不能正常跳转？
A：国内有些BBS站是基于FireBird 而自行改进的，"十大热门话题"页面格式与众不同，
所以CTerm无法识别。某些能识别的站点，又有可能在主选单及其它功能设置方面与众
不同，我们还没有作相应处理，所以无法跳转。在这种情况下，请写信告诉我们，是哪
个站，让我们来修改CTerm以适应该站。（前面已提及的不接受Guest登陆的站点，以及
北大未名，不在此列。）

Q：为什么有些站点，在按了 H 键后的底行信息无法点击？
A：这些站点的底行信息格式与众不同，导致CTerm无法识别。只能建议这些站点的程序
站务参照其它站点，修改底行信息格式。

其它改进
＋变量：AllowSameSiteName 地址本是否允许重名
＋编辑框大小可调
＋退出时 自动保存编辑窗口文字到edit_bak.txt
 变量Cterm.ini->[EditDialog]->AutoSaveEdit
＋工具->重新载入参数命令
√修正多实例的bug、全文下载的bug
√链接、搜索时，按shift新开IE打开
×去掉cj60lib.dll

请注意：cterm.ini, myips.txt, cterm.ckt(改为mycmds.txt)，usraccel.dat(改为
myaccel.dat)都移入user目录。原有设置文件如需要保留请自行拷贝、改名或修改
cterm.ini中相关设置。


CTerm V3.258 build 2005-11-8

＋Web搜索框中集成到主工具栏中，新设ASCII相关工具栏(留待未来改进)。
＋拖放搜索：类似于Maxthon、FireFox之类的"超级拖拽"，选定文字后可以拖放到Web
  搜索框中即可展开Web搜索，或者干脆不拖到Web搜索框也可以搜索。
＋Web搜索框可以记录历史
＋Alt-D 切换Web搜索框焦点（与IE、Maxthon兼容）；搜索框中按 ESC 取消焦点
＋搜索框："j 版名"跳到指定版

＋"BBS控制"工具栏中，把原来的F5发文、F6回复、F7发表合成为 F5 。
＋增加"重新载入系统参数命令"（"工具"菜单下）
＋自动创建user目录
＋可以全局设置显示行列数（系统选项>显示）：12<=行数<=48，40<=列数<=254；进
  一步修正行列数引起的问题
  注意：修改后需要重新连接；可能需要Cterm状态识别才能正常；可能有的站不支持
  行列数协商。
＋是否自动更新：系统选项>常规
＋在启用 python 支持(系统选项>常规)时，可以在十大屏幕点标题行或排名行跳到相
  应文章（点击后请稍等，不要执行其它动作）。
  存在问题：如果要看的文章在该版有重名或部分重名文章，可能无法跳到正确文章，
  因为是通过1\n, /s标题实现的
×去掉日历

＋站点标签栏添加拖动标志，标签宽度可以设置，标签上可以选择是否显示单位
  名称，可以选择是否显示自动登录用户名(非自动登录时不能显示)：系统选项 > 显示
＋标签点中键（鼠标滚轮）关闭窗口

＋按下ctrl键防止拖动，直接选取（包括URL）
＋点击链接时默认不显示URL确认对话框，直接连接。按住ctrl键时显示URL确认对话框

√修正地址本bug若干
＋地址本：可批量删除/复制/粘贴/导出：shift/ctrl多选
＋地址本键盘操作：
  del: 删除
  Ctrl+:
	 C		复制
	 V		粘贴
	↑↓		上下移
	HOME,END	最上/最末
	→ ←		加入/移出favorite

CTerm V3.257 build 2005-11-1

请帮助测试一下行列数，加大行列数(如100，30)，看什么情况下会出问题，谢谢！

√地址簿焦点
√恢复python状态识别，并加了选项：Cterm.in->[Setup]->PythonStatus
  同时改sitestatus.py以修正翰海星云的问题
√F1-F12键，改正smth F9 不能拷屏的问题
√恢复^C复制的重定向(不管有没有问题，反正我习惯了:)，加一变量可选Cterm.ini->
  [Setup]->CtrlCCopy，默认关闭
√查IP有问题
√兵马俑消息不认
√恢复python fastwary
√增加python函数GetTermWidth(), GetTermHeight()
√改ct_system.py, sitestatus.py，使之适应可变行列数
√可变行列数进一步改进（原来在列数超过80时会死掉），仍需测试

CTerm V3.256 build 2005-10-29
＋自定义IP: cterm目录下myips.txt，格式见示例文件
＋背景窗口月历：Cterm.ini->[Setup]->ShowCalendar=0关闭
√恢复闪烁
√修正bug：没联网时自动更新会出错
√修正用数字键盘的上下箭头不能连续滚动的问题
√改正：修改已登陆站点的字体后，不会马上生效，必须在切换一下窗口，或移动一
  下才能生效
√根据版本决定是否读取工具栏配置信息

CTerm V3.255 Build 2005-10-27

＋Web搜索栏的参数可以设置（系统选项 > Web搜索）
＋搜索栏可关闭
＋启动时自动检查更新，显示更新信息，并指向更新网页
＋脚本出错时，点击状态栏可打开错误信息
√修正Web搜索栏的 bug

CTerm V3.254 build 2005-10-24
＋自动更新：自动运行，显示更新信息
＋搜索栏可关闭

CTerm V3.250 测试版（build 2005-10-23）
×弃用了启动窗口中的IE控件，减少资源占用，加快启动速度。
×站点标签中删除了“CTerm”页。
＋增加了“地址”工具栏。在地址框中可以输入(地址本中的)站点名或地址直接访问，
  如果判断为非BBS的URL，用相应程序打开。可输入词语进行搜索（在词首添加"b ",
  则使用百度，在词首添加"g "，则使用Google。默认使用百度。如果需要默认使用
  Google，请在cterm.ini的[setup]段中改写UseGoogle＝1 ）。
　地址栏尚不支持直接拖放，也不能记录历史，未来会作改进。
＋改进了显示方式，站点属性的“解码”页中的“显示输出”中添加了“Big5”项，
  对于台湾BBS站点，当设为“Big5”时，会自动调用Mingliu字体显示繁体字。
  （使用“Big5->GB”显示时，由于简繁转换不严格，会使ASCII图变乱，使用“Big5”
  可以避免出现这种现象）
＋地址簿中可以复制、粘贴（目前只支持单个），以便于新旧地址本合并。

＋增加了“检查更新”功能：菜单“帮助 > 检查更新...”
＋增加操作方式：ctrl+滚轮＝PGUP,PGDN
＋图片框可以拖动

√修正一些关于vbs的bug：在初始化script引擎失败的情况下，显示工具菜单时会出现
  非法操作。另外，此时某些菜单应该是不可用的
√修正bug: 有时出现问题“初始化Python失败”问题。检查注册表，如有
  HKEY_LOCAL_MACHINE\SOFTWARE\Python\PythonCore\2.3\PythonPath， 则加上一个
  DLLs，即：C:\Python23\Lib;C:\Python23\DLLs;C:\Python23\Lib\lib-tk;DLLs
√修正bug:在列表状态下，鼠标靠左侧时，有时无法变成返回光标
√修改最小化时的tray icon提示文字，改为窗口标题，以便在多重实例中识别。

需测试：
＋ 修改终端行列数：cterm.ini->[setup]->TermWidth, TermHeight (不稳定，可能引
  起某些功能出问题)
＋在有文本被选取时，允许把所选文字拖到支持拖放的窗口，比如，vc的编辑窗口或其
  它文档收集软件（未测试），也可以直接把一个URL拖到fg或其它下载软件的悬浮窗。
  问题：1、不能像其它程序一样，拖到任务栏图标时切换窗口，只能直接拖到目标窗
  口（两者都非最大化）；2、FlashGet下载时不能添加引用页和注释；3、如果选取一
  段文字后，如果想改选其它文字，必须先取消原来选择；4、对URL来说无法从它的中
  间开始选取文字了(可以移到非URL处再选)。

============================================================================

CTerm V3.24 正式版 Build 050624
◆增加了“启动时自动连接站点”功能。
在地址簿中，可以选择一个站点，设置为启动时自动连接的站点，以后在启动时就会自
动连接该站点。如果想删除，直接删除该文本框的文字就行了。

CTerm V3.24        Build 050605
◆改进了在版面文章列表中的鼠标操作：可以点击查看作者信息（相当于按Ctrl+A）。
◇解决了一个小Bug：文字编辑框隐藏后文字丢失
◇去掉了“外部编辑器”的设置和使用。
◇更改“标记所有文章为已读”功能的快捷键为F2，“搜索文章”快捷键为F3。
◇BBS工具栏上增加了“同主题”按钮

CTerm V3.23 正式版 Build 050514
◆更新了地址簿，重新发布。

CTerm V3.23 正式版 Build 050328

◆ 针对Maple站点改进了状态识别和鼠标操作。在批踢踢、不良牛牧场、KKcity上可见有明显改善。
◆ 根据国内的 BBS 站变动情况，更新了站点地址簿

CTerm V3.22 正式版 Build 050305

◆解决了050328版在飘渺水云间上显示来信时非法关闭的问题。
◆同时解决了编辑框在关闭/显示时文字丢失的问题。

CTerm V3.22 正式版 Build 050228
◆把Hendy 制作的“BYHH文件上传工具”整合进来。在版面上按 F5 键发表文章，
  设置标题时可以上传文件。上传后的链接自动粘贴进入编辑框（即使此时点取消
  按钮或未设置文章标题，链接仍保留在编辑框中）。
◆改动了网站服务器

CTerm V3.21 Build 050109
◆改进了多行消息与单行消息的识别
◆改进了消息输入框，可以手工换行。按 Ctrl+Enter 发送消息（兼容QQ方式）

Cterm V3.21 正式版 build 041207

◆点击启动网页中的链接调用默认浏览器打开
◆解决Bug：非全屏启动时网页显示为空白
◆系统选项中增加“启动时删除全部原有图片”选项
◆增加选项：是否使tab条在resize自动停靠于主工具条左侧
　（需要手工在cterm.ini中修改：[setup]部分的 TabAutoRightOf）

Cterm V3.21 正式版 build 041205

◆鼠标悬停看图：当鼠标位于图片URL超过0.3秒后才开始下载或显示图片。
  悬停时间可自定，cterm.ini: PicHoverTime=xxx，单位毫秒，负值取消该功能
  同时ctrl看图改为按ctrl键立即看图（无需等待。。。md这么像广告词：）
◆状态栏显示已下载图片数
◆增加查看已下载图片命令：快捷键 alt+p，菜单“工具”->“查看已下载图片”。
◆图片框界面美化（背景色；按钮样式、颜色；去掉边框）
◆改进了启动网页及图标
◆全文下载中的时间限定由原来的 5秒改为 8秒。（应网速较慢的用户之需）
◆改进了颜色方案：黑客，蓝天
◆仅有用户名不输入密码也能自动登录
◆识别smth日历状态
◆bugs修正：
-ID>30以后的自定义按钮不能更新状态
-未选中python时锁屏（或执行其它任何脚本操作）出错
-图片右键打开无效
-弹出url框时掉线出错
-在线的时更改自动登录设置后出错
-关闭后在线时间报告没计算天（超过24小时显示不正确）
-若连上后马上掉线，显示在线时间不正确（应为0）
-启动画面上的favorite站名有空格时点击无反应
-有时会使某些鼠标功能对别的程序失效

Cterm V3.21 测试版-3 build 041112

◆站点管理条上新增一个名为“CTERM”的标签，点击显示背景窗口
◆图片预览改进：更改背景颜色；保存图片时能保存扩展名；图片下载正确计数；
　图片扩展名忽略大小写；图片框支持鼠标滚轮前后翻看图片，支持键盘前后翻看
　图片。按键基本上兼容ACDSee:
　前一个：PgUp和小键盘9, L，P, 退格；后一个：PgDn和小键盘3, N，空格；
  打开：小键盘*, O；保存：小键盘Ins，S；放大/恢复：小键盘＋，回车
◆如果页面中使用*[I（Cterm支持的非标准的控制符，选择字体）显示楷体，则判
　断楷体字体是否安装，若否则使用宋体。以此解决非中文版Windows 系统未安装
　楷体字体时显示某些页面出现混乱的情况（例如：白云黄鹤主选单页面、日月光
　华主选单页面和信件处理页面）
◆F8快贴也自动排版。如果是自动发文，不弹出排版框与编辑框，不管设置如何
◆讨论区顶部除了可以点击“发表文章”和“砍信”外，增加“备忘录[TAB]”
  和“求助[h]”
◆优化彩色复制时的代码，同时解决彩色复制时带选单属性问题
◆离开选项（自动进入离开状态，或手工按Alt+L进入离开状态）增加选项“最小
　化到托盘”
◆批量下载后的网页文件中加入语言代码，使之正常显示为“中文简体(GB2312)”。
◆全屏状态时隐藏状态栏
◆陈年老bug: 解决了文件系统菜单(文件菜单左侧小图标)显示不正常的问题
◆增强smth支持：1、显示日历时正常识别；2、版面在使用","键切换到预览模式
　后，下面的文章内容预览部分不再被当作列表可点击了。
◆增强URL识别：排除多级点分的文件名、软件版号、编程语句等等
◆IP数据库位置加到界面上：选项->URL与图片
◆其它bugs修正：
- 启动页上的favoriate不能及时刷新问题
- ftp程序位置第1次不能改的问题, 并可自动查找leapftp或flashfxp的位置
　(cuteftp ms不支持命令行)
- Win 2000普通级用户cterm运行时python初始化失败，关闭时出错
- 试图使用zmodem传输文件(发文时按U，附件按^Y时)会死的问题

--------------------------------------------------------------

Cterm V3.21 测试版-2 build 041101

注意：如果不是全新安装，请先删除原来的cterm.ini或删除其中bars相关的内容；
否则启动时会非法操作


◆ 启动界面改进：显示“最喜爱的站点”，并可以鼠标点击而连接站点。
注意：在地址簿中修改了“最喜爱的站点”之后，需要重启Cterm后启动界面上才能更新。
◆ 增加了状态栏: 显示脚本信息/图片下载信息及其它
　 注意：如果不是全新安装，请先删除原来的cterm.ini或删除其中bars相关的内容；
否则启动时会非法操作
◆ 支持bbs://协议，在其它web页面写的bbs://打头的链接可直接用cterm打开
(暂时规则：域名部分没有点，或含有汉字的，认为是地址本中的站名；否则认为是地址)
◆ 消息对话框中去掉了字数限制，可以满足一般需要。（以后还会继续改进）
◆ 支持命令行连接站点：参数为站名或地址，规则如上
◆ 全文下载：
- 全文下载时，提供两种查看方式：纯文本、ANSI。
- 可以隐藏编辑框
- 保存时提供了3种格式：纯文本(.txt)、ANSI(.ctd)和HTML
- 提供逐行下载方式（有效地解决某些含特殊控制符的文章无法下载的问题）
◆ 图片下载
- 支持PNG格式和jfif格式；
- 增强了对 gif 图片的处理；
- 去掉了多线程下载。
◆ 内码转换加入站点参数，原big5命令/按钮删除
- 上big5站时若未提供简体选择，可在站点设置里设置输入、输出内码转换
例如gb用户上big5站，可以设输入:gb->big5, 输出:big5->gb
- 内码的转换对用户是透明的，粘贴(包括快速发文)或用输入法直接输入时均可直接转换
- 地址本对话框作了一些调整，主要是对话框上的显示与高级属性之间的数据交换
◆ 针对台湾Big5站点改进了状态识别和鼠标操作。
◆ 地址簿中增加了一些台湾Big5站点
◆ 自定义按钮增加tip字段，可显示提示信息
◆ 连接时可ESC取消; 连接失败回车重连，任意键关闭
◆ 识别发文/消息/聊天等状态可 ^V 粘贴, 作整字处理(非smth)
◆ 列表鼠标点击方式：顶行HOME, 末行下边一行(文本区之外)是END; 文本区外无动作
◆ 过滤器改进(主要针对需要输入登录前命令的站)：
   以!号开头表示总起作用，不管是否自动登录
   就是说过滤器可以分成两类：一类仅在自动登录的情况下起作用，另一类总是起作用
◆ 文章下载脚本(txt,ansi,html): 暂时可用，功能还有待改进加强
◆ 选取时的颜色
◆ 编辑框^A 全选
◆ 选项与站点设置对话框隐藏“应用”按钮(这下就没有总是灰的bug了:)
◆ bugs修正:
- 自动解锁BBS屏幕可能泄露密码
- 显示问题: 窗口从最大化到非最大化时，或窗口大小改变，底行不能显示
- 对*[M的处理有点问题，会导致程序死掉（如小百合asciiart, 遭遇恐龙）
- 子窗口非最大化或最小化时会被web页挡住的问题
- 下载文章按钮tab序
- 发表文章[Ctrl-P]闪烁
- 长文章不能下载, 有些文章下载出错
- 不能复制部分URL
- 连接时按任意键断线
- 改高亮与鼠标选单显示方式后不能立即刷新(后者可能在屏幕留下一个亮条)
- 闪烁时下划线问题
- 编辑框写文章最小化时隐藏问题(焦点未解决)
- 离站后强制关闭出错
- 用消息框回消息时掉线出错
- 站点设置时掉线出错
- 两个站几乎同时登录时可能会出现一个影响另一个使它不能正常登录的情况
- 打开ftp默认用leapftp(目前只知道它支持命令行)
- 过滤器响应串的长度改为最长19，过滤个数改为最多9个
- DNS解析时界面死掉的问题(否使连接过程明显变慢?)
- 点击选中python时初始化
------------------------------------------------------------------------

[原创]Cterm V3.20 正式版 build 041009

+ 增加功能　　* 改进与修正　　- 削减功能

- 停用自动进入离开状态时锁住BBS功能，以防止自动登录时用户密码泄露
* 修正：拖出文本区不能自动选取的bug
+ 鼠标中键(或鼠标滚轮按下)支持: python事件函数OnMButtonUp，动作可自定
* 增大文本编辑器中的字体，以方便编辑
* 单篇全文下载改用纯文本方式
* 直接关闭不起作用
* 修正：标题含首字母为<号的文章不能下载后不能正确保存
* 修正：从查看改站点配置后过滤器恢复(症状如:^w自动发文)
* 修正：自动回消息多个r
* 修正：编辑框^enter后发出beep，有时多个回车
* 修正：某些站不能自动登录(如曙光站)
+ 改进：锁BBS,快速离站改用脚本
+ 消息到来时是否发出beep选项
+ 地址本可以连临时站点，可以指定是否自动登录


* 脚本改进：增加一些辅助函数(tools.py)；解决一些状态识别与url问题；
　python内建函数增加GetSessionNum()；GetText(), GetAttrText()可指定行号范围
　改正CTerm.GetSessionID(n)的一个严重bug
+ tools.py: GotoBoardSimple() 版面跳转函数，逻辑上支持大多数站，包括一般
　FireBird站点(用E->B或其它命令进全部讨论区)，支持S选择讨论区的站，Maple
　站(用B进入全部讨论区)。对特殊站可以自己添加


---------------------------------------------------------------------

Cterm V3.20 测试版-5 build 041001

* 解决图片显示不全和全屏时大图片无法显示的问题
+ 使用编辑框时，可以使用 Ctrl+w 和Ctrl+Enter 作写完发表
* F8快贴时，非转载文章内容去掉标题
+ 文章列表和邮件列表中，点"发表文章[Ctrl-P]"发表文章,"砍信[d]"砍信
* 字体:支持系统fixsys字体，改进其它小bug
* 编辑框:非sysmodal,无任务栏按钮
* 最小化时，窗口被广告页挡住问题
* 锁定功能：锁BBS可选；去掉OK密码；离开命令恢复；
* 查IP对话框：限长度100
* 阅读文章标志(灰块＋下划线)：可选；单屏文章不加
+ 地址簿中可以排序：S按钮
* 输入法光标跟随的bug
* 指向IP与输入跟随时的闪烁问题
* 快速离站，自动寄回信息（对FireBird站点有效）
* 窗口条的拖动停靠问题：现在的规则：若与主工具栏在同一侧，自动停靠在其左
* 解决强制关闭有时非法操作问题
* 修正一些状态识别的bug（Lily，Maple）
+ IP可直接复制地理位置
+ 脚本增加若干功能函数与内建函数(具体见脚本及脚本文档)

已知问题：图片显示不支持PNG格式图片。
请使用“Open”命令，利用外部看图软件查看

---------------------------------------------------------------------
Cterm V3.20 测试版-4 build 040926

* 改进了启动页中的Web浏览器，加快启动速度
+ 编辑时文字输入条跟随光标(感谢kxn@smth提供的代码与帮助)
* 解决Ctrl+Tab切换窗口时显示背景Web浏览器的问题
* 帮助文档不再随主程序发布，改为网络文档
* 修正最小化到托盘时，消息到来与老板键不能正常弹出窗口的问题
* (最小化到托盘，或老板键隐藏时)消息来时，托盘图标闪，不弹出消息窗口
+ 识别水木与白云的离站选单
* 改进了图片全屏显示，解决了空白色块问题，并让图片居中显示

---------------------------------------------------------------------
Cterm V3.20 测试版-3 build 040924

* 改进了图片下载和显示：可以识别jpeg 格式图片，增加了“关闭”按钮，增加
  了右键“作为图片下载”项。
* 改进了启动页中的Web浏览器，加快了启动速度。
* 默认启用 Python 支持
* Python 脚本改进
* VBS 看图脚本不再随同主程序发布

---------------------------------------------------------------------
Cterm V3.20 测试版-2 build 040914

* 背景窗口增加了Web浏览器，显示软件主页内容（不大美观，需改进）
* 改进了连接方式，解决了连接出错、关闭出错的问题
* 改进了图片显示方式，单击图片即可使窗口最大化/恢复
* 改写了常用自定义命令文件 cterm.ckt，更方便使用
* 数据文件改回原有方式，不写注册表
* 恢复了“自动进入离开状态”功能：锁定cterm，自动回复（系统选项->自动功能）

---------------------------------------------------------------------

以下是 V3.20 测试版-1 build 04-09-8 的说明
-- 重要功能改进 --
+ 显示IP地址，图片预览(暂不支持YTHT BBS)。
* 改进了URL识别，可以识别带汉字的URL，跨行URL
+ 右键菜单添加“打开链接”和“flashget下载”
* 修正下载方面的问题：下载只有一屏的文章时下载不全，精华区下载后链接混乱，
　精华下载时遇到空目录就停止不动
* 增加了“快贴”功能（快捷键F8）：在文章列表粘贴时，若剪切板内容超过3行，
　提取首行作标题、剪贴板全部内容全为文章内容发表为一篇文章：若是BBS文章格式
　(能识别包括FB与MAPLE格式)，取“标题：”后的内容，加“[转载]”字样，否则取
　第1行作标题。
+ 全屏显示（alt+enter切换）
+ 选项：连接断开后窗口不关闭，显示离站报告与重连提示，回车重连，任意键关闭
* 防呆字符改为防呆串，建议的串是(^[[5~^[[6~，上上下下)
+ 增加自定义命令功能。其中可发送命令与字符串。
　安装python并且选中python支持后可执行python代码或python脚本。
　增加按钮工具条，自定义命令可显示为按钮
+ 支持STerm的看图脚本(感谢脚本作者asker@smth同意在CTerm中使用该脚本): ctrl+
　鼠标左键看图。脚本download.vbs为原文件，viewpic.vbs由STerm中的control.vbs
　中相关部分改写，加了一个正则表达式过滤URL。
+ 可定制快捷键(系统内部命令和自定义命令皆可)，详见cterm.ckt。
+ Python支持(可选)。详见script子目录下readme.txt。
　甚至不需要安装python 2.3以上版本(下载: http://www.python.org)

-- 其它改进 --
+ 增加YTHT类型, 支持ytht格式消息
* 在网络未安装或安装不全时会发出错误的提示,解决网络不通时，界面死掉的问题
* 解决telnet按del键logout问题
* 水木编辑时的鼠标光标定位问题
* 只供指定一个外部编辑器，打开时显示到前台
* BBS工具条可拖动
* 配置信息暂改为用注册表(快捷键定制类的需要，若有必要，将来可能改回ini)
* 地址薄导入出错时无法退出的问题
* 对显示又作了一点小小的优化，解决上滚时闪的厉害的问题
* 复制URL(IP)时不加多余的http://
- 对重复消息的判断导致一些问题，不再过滤重复消息
* 改进cterm内部的汉字双字节处理，解决在行首时的错误问题
+ 编辑时快速(ctrl与shift组合键，按词)移动光标、快速删除（识见帮助文档edit.htm）
+ 选项：消息到来时是否切换主窗口到前台，切换子窗口为活动窗口
　消息到来时若不在前台，标题条与任务栏按钮闪烁
* 改进了自动复制功能，可保存该选项
* ANSI彩色复制时，只复制1个ESC，在每行最后添加彩色复原码*[m？还是两个吧
* 彩色粘贴时能正确处理1个ESC或2个ESC，正确处理FireBird和MAPLE
+ 关闭了所有窗口后标题显示最后连接站点的名称
* 批处理转义符作重大调整，详见esccode.txt
+ big5支持。将原本已有的big5支持(如ctrl+f5可显示big5)加进内核。
　由于地址本设计上的问题，如果给站点结构增加一个变量势必导致原地址薄无效
　在最终解决该问题之前，暂时提供一个工具栏按钮。
　要浏览台湾BBS时，新开一个CTerm窗口，按下该按钮即可

--　致　谢　--
☆　特别感谢STerm作者pred、QTerm作者kingson和STerm看图脚本作者asker在
　　ActiveX Script、Python支持、脚本看图等方面给予的大力支持和无私帮助。
　　Cterm这些功能参考或直接使用了他们的源代码。(nullspace)
☆　特别感谢"BBS显地址外挂"、"BBS图片同步浏览器"作者Hendy在显IP地址和图片
　　浏览方面给予的大力支持和无私帮助。Cterm这些功能包含了Hendy提供的源代码。
　　在此表示诚挚的感谢！(Bat)
☆　感谢Metalslug@byhh 在Python安装发行方面提供的帮助。
☆　感谢水木，白云黄鹤和真情流露等站上所有向我提供过帮助的人! (nullspace)
☆　感谢所有关心和支持Cterm的网友!

